Halide 22.0.0 Halide compiler and libraries

Public Attributes | List of all members
D3D12_RENDER_TARGET_VIEW_DESC Struct Reference

`#include <mini_d3d12.h>`

## Public Attributes
DXGI_FORMAT | Format
D3D12_RTV_DIMENSION | ViewDimension
union {
D3D12_BUFFER_RTV Buffer
D3D12_TEX1D_RTV Texture1D
D3D12_TEX1D_ARRAY_RTV Texture1DArray
D3D12_TEX2D_RTV Texture2D
D3D12_TEX2D_ARRAY_RTV Texture2DArray
D3D12_TEX2DMS_RTV Texture2DMS
D3D12_TEX2DMS_ARRAY_RTV Texture2DMSArray
D3D12_TEX3D_RTV Texture3D
}; |

## Detailed Description

Definition at line 2555 of file mini_d3d12.h.

## Member Data Documentation

## ◆ Format

DXGI_FORMAT D3D12_RENDER_TARGET_VIEW_DESC::Format

Definition at line 2556 of file mini_d3d12.h.

## ◆ ViewDimension

D3D12_RTV_DIMENSION D3D12_RENDER_TARGET_VIEW_DESC::ViewDimension

Definition at line 2557 of file mini_d3d12.h.

## ◆ Buffer

D3D12_BUFFER_RTV D3D12_RENDER_TARGET_VIEW_DESC::Buffer

Definition at line 2559 of file mini_d3d12.h.

## ◆ Texture1D

D3D12_TEX1D_RTV D3D12_RENDER_TARGET_VIEW_DESC::Texture1D

Definition at line 2560 of file mini_d3d12.h.

## ◆ Texture1DArray

D3D12_TEX1D_ARRAY_RTV D3D12_RENDER_TARGET_VIEW_DESC::Texture1DArray

Definition at line 2561 of file mini_d3d12.h.

## ◆ Texture2D

D3D12_TEX2D_RTV D3D12_RENDER_TARGET_VIEW_DESC::Texture2D

Definition at line 2562 of file mini_d3d12.h.

## ◆ Texture2DArray

D3D12_TEX2D_ARRAY_RTV D3D12_RENDER_TARGET_VIEW_DESC::Texture2DArray

Definition at line 2563 of file mini_d3d12.h.

## ◆ Texture2DMS

D3D12_TEX2DMS_RTV D3D12_RENDER_TARGET_VIEW_DESC::Texture2DMS

Definition at line 2564 of file mini_d3d12.h.

## ◆ Texture2DMSArray

D3D12_TEX2DMS_ARRAY_RTV D3D12_RENDER_TARGET_VIEW_DESC::Texture2DMSArray

Definition at line 2565 of file mini_d3d12.h.

## ◆ Texture3D

D3D12_TEX3D_RTV D3D12_RENDER_TARGET_VIEW_DESC::Texture3D

Definition at line 2566 of file mini_d3d12.h.

## ◆

union { ... } D3D12_RENDER_TARGET_VIEW_DESC::@13

The documentation for this struct was generated from the following file:

- src/runtime/mini_d3d12.h